package com.fzm.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

/**
 * @author tangtuo
 * @date 2021/12/9 15:29
 */
@ToString
@Getter
@AllArgsConstructor
public enum CopyrightApplyState {

    WITHDRAW(-1, "已撤回", ""),
    TO_BE_REVIEWED(0, "待审核", ""),
    SUBMITTED(2, "已提交", "请耐心等待湖北版权局审核受理，受理成功后将在15个工作日内完成登记"),
    REJECTED(3, "已驳回", ""),
    SUCCEEDED(4, "登记成功", ""),
    FAILED(5, "审核失败", ""),
    ;

    private int code;
    private String value;
    private String msg;

    public static CopyrightApplyState getByState(int state) {
        for (CopyrightApplyState stateEnum : CopyrightApplyState.values()) {
            if (stateEnum.getCode() == state) {
                return stateEnum;
            }
        }
        return CopyrightApplyState.TO_BE_REVIEWED;
    }

}
